commit:     7f3f531753c50c9dea30b7b74c79112d1bb07a68
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 19 15:11:52 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 19 16:29:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f3f5317

dev-python/numpydoc: Add python3.5 support

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/numpydoc/numpydoc-0.5.ebuild | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/dev-python/numpydoc/numpydoc-0.5.ebuild 
b/dev-python/numpydoc/numpydoc-0.5.ebuild
index 69b9e0e..81bf903 100644
--- a/dev-python/numpydoc/numpydoc-0.5.ebuild
+++ b/dev-python/numpydoc/numpydoc-0.5.ebuild
@@ -1,9 +1,10 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
 
 inherit distutils-r1 vcs-snapshot
 
@@ -16,11 +17,14 @@ SLOT="0"
 KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~x86 ~x86-freebsd ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
 IUSE="test"
 
-RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+RDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
        dev-python/sphinx[${PYTHON_USEDEP}]"
-DEPEND="test? ( ${RDEPEND}
+DEPEND="
+       test? ( ${RDEPEND}
                dev-python/nose[${PYTHON_USEDEP}]
-               >=dev-python/matplotlib-1.4.0[${PYTHON_USEDEP}] )"
+               >=dev-python/matplotlib-1.4.0[${PYTHON_USEDEP}]
+       )"
 
 python_prepare_all() {
        chmod -R a+r *.egg-info || die
@@ -28,5 +32,5 @@ python_prepare_all() {
 }
 
 python_test() {
-       nosetests || die "Testing failed with ${EPYTHON}"
+       nosetests --verbose || die "Testing failed with ${EPYTHON}"
 }

Reply via email to